Subject: (XoJIG 443) Re: support for symbolic names

From: [email-masked] (Walt Daniels)
Date: 21 Jan 1992 09:29:35 EST

>And so we end up at a point where we're going to see code like:
>
>	if (ch == '<540404>') {
>	   ...
>
>which I posit means we've completely failed at the most basic
>goal of internationalization; to offer a system that people
>can *use* to help create global programs.
>
>      -- Dave Taylor
That is not an "internationalized" program!  That is a "localized"
program!  In practice the only characters that appear as character
literals are the syntactically important characters like blank, tab,
comma, etc. Code that checks for greater than "a" and less than "z"
are are not even properly localized.  Most of the syntactic tests
should be performed using the "is" function, e.g. ispunct.